Document Reference

A document reference is used to point to a document that is being referenced.

GET/v2/fhir/DocumentReference

List all document references

Returns a list of all document references. Pass attributes to filter the list of document references based on that criteria.

Optional query parameters

  • Name
    patient
    Type
    string
    Description

    Patient ID to filter by.

Request

GET
/v2/fhir/DocumentReference
curl "https://{{base_subdomain}}.avonhealth.com/v2/fhir/DocumentReference?patient=user_Z1zXZKvqrpwxbznuW6lJ" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      {
        "resourceType": "Bundle",
        "type": "searchset",
        "total": 8,
        "entry": [
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/DocumentReference/example-discharge-summary",
            "resource": {
              "resourceType": "DocumentReference",
              "id": "example-discharge-summary",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-documentreference|7.0.0"
                ]
              },
              "date": "2015-02-07T13:28:17.239+02:00",
              "status": "current",
              "type": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "18842-5",
                    "display": "Discharge Summary"
                  }
                ],
                "text": "Discharge Summary"
              },
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://hl7.org/fhir/us/core/CodeSystem/us-core-documentreference-category",
                      "code": "clinical-note",
                      "display": "Clinical Note"
                    }
                  ],
                  "text": "Clinical No"
                }
              ],
              "author": [
                {
                  "reference": "Practitioner/practitioner-1"
                }
              ],
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2"
              },
              "content": [
                {
                  "attachment": {
                    "contentType": "text/plain",
                    "data": "Tm8gYWN0aXZpdHkgcmVzdHJpY3Rpb24sIHJlZ3VsYXIgZGlldCwgZm9sbG93IHVwIGluIHR3byB0byB0aHJlZSB3ZWVrcyB3aXRoIHByaW1hcnkgY2FyZSBwcm92aWRlci4="
                  },
                  "format": {
                    "system": "urn:oid:1.3.6.1.4.1.19376.1.2.3",
                    "code": "urn:ihe:iti:xds:2017:mimeTypeSufficient",
                    "display": "mimeType Sufficient"
                  }
                }
              ],
              "context": {
                "encounter": [
                  {
                    "reference": "Encounter/example-encounter"
                  }
                ],
                "period": {
                  "start": "2015-02-07",
                  "end": "2015-02-07"
                }
              },
              "identifier": [
                {
                  "system": "urn:ietf:rfc:3986",
                  "value": "urn:oid:2.16.840.1.113883.19.5.99999.1"
                }
              ]
            },
            "search": {
              "mode": "match"
            }
          },
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/DocumentReference/example-consultation-note",
            "resource": {
              "resourceType": "DocumentReference",
              "id": "example-consultation-note",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-documentreference|7.0.0"
                ]
              },
              "date": "2015-02-07T13:28:17.239+02:00",
              "status": "current",
              "type": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "11488-4",
                    "display": "Consult note"
                  }
                ],
                "text": "Consult note"
              },
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://hl7.org/fhir/us/core/CodeSystem/us-core-documentreference-category",
                      "code": "clinical-note",
                      "display": "Clinical Note"
                    }
                  ],
                  "text": "Clinical No"
                }
              ],
              "author": [
                {
                  "reference": "Practitioner/practitioner-1"
                }
              ],
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2"
              },
              "content": [
                {
                  "attachment": {
                    "contentType": "text/plain",
                    "data": "Tm8gYWN0aXZpdHkgcmVzdHJpY3Rpb24sIHJlZ3VsYXIgZGlldCwgZm9sbG93IHVwIGluIHR3byB0byB0aHJlZSB3ZWVrcyB3aXRoIHByaW1hcnkgY2FyZSBwcm92aWRlci4="
                  },
                  "format": {
                    "system": "urn:oid:1.3.6.1.4.1.19376.1.2.3",
                    "code": "urn:ihe:iti:xds:2017:mimeTypeSufficient",
                    "display": "mimeType Sufficient"
                  }
                }
              ],
              "context": {
                "encounter": [
                  {
                    "reference": "Encounter/example-encounter"
                  }
                ],
                "period": {
                  "start": "2015-02-07",
                  "end": "2015-02-07"
                }
              },
              "identifier": [
                {
                  "system": "urn:ietf:rfc:3986",
                  "value": "urn:oid:2.16.840.1.113883.19.5.99999.1"
                }
              ]
            },
            "search": {
              "mode": "match"
            }
          },
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/DocumentReference/example-history-physical-note",
            "resource": {
              "resourceType": "DocumentReference",
              "id": "example-history-physical-note",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-documentreference|7.0.0"
                ]
              },
              "date": "2015-02-07T13:28:17.239+02:00",
              "status": "current",
              "type": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "34117-2",
                    "display": "History and physical note"
                  }
                ],
                "text": "History and physical note"
              },
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://hl7.org/fhir/us/core/CodeSystem/us-core-documentreference-category",
                      "code": "clinical-note",
                      "display": "Clinical Note"
                    }
                  ],
                  "text": "Clinical No"
                }
              ],
              "author": [
                {
                  "reference": "Practitioner/practitioner-1"
                }
              ],
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2"
              },
              "content": [
                {
                  "attachment": {
                    "contentType": "text/plain",
                    "data": "Tm8gYWN0aXZpdHkgcmVzdHJpY3Rpb24sIHJlZ3VsYXIgZGlldCwgZm9sbG93IHVwIGluIHR3byB0byB0aHJlZSB3ZWVrcyB3aXRoIHByaW1hcnkgY2FyZSBwcm92aWRlci4="
                  },
                  "format": {
                    "system": "urn:oid:1.3.6.1.4.1.19376.1.2.3",
                    "code": "urn:ihe:iti:xds:2017:mimeTypeSufficient",
                    "display": "mimeType Sufficient"
                  }
                }
              ],
              "context": {
                "encounter": [
                  {
                    "reference": "Encounter/example-encounter"
                  }
                ],
                "period": {
                  "start": "2015-02-07",
                  "end": "2015-02-07"
                }
              },
              "identifier": [
                {
                  "system": "urn:ietf:rfc:3986",
                  "value": "urn:oid:2.16.840.1.113883.19.5.99999.1"
                }
              ]
            },
            "search": {
              "mode": "match"
            }
          },
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/DocumentReference/example-procedures-note",
            "resource": {
              "resourceType": "DocumentReference",
              "id": "example-procedures-note",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-documentreference|7.0.0"
                ]
              },
              "date": "2015-02-07T13:28:17.239+02:00",
              "status": "current",
              "type": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "28570-0",
                    "display": "Procedure note"
                  }
                ],
                "text": "Procedure note"
              },
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://hl7.org/fhir/us/core/CodeSystem/us-core-documentreference-category",
                      "code": "clinical-note",
                      "display": "Clinical Note"
                    }
                  ],
                  "text": "Clinical No"
                }
              ],
              "author": [
                {
                  "reference": "Practitioner/practitioner-1"
                }
              ],
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2"
              },
              "content": [
                {
                  "attachment": {
                    "contentType": "text/plain",
                    "data": "Tm8gYWN0aXZpdHkgcmVzdHJpY3Rpb24sIHJlZ3VsYXIgZGlldCwgZm9sbG93IHVwIGluIHR3byB0byB0aHJlZSB3ZWVrcyB3aXRoIHByaW1hcnkgY2FyZSBwcm92aWRlci4="
                  },
                  "format": {
                    "system": "urn:oid:1.3.6.1.4.1.19376.1.2.3",
                    "code": "urn:ihe:iti:xds:2017:mimeTypeSufficient",
                    "display": "mimeType Sufficient"
                  }
                }
              ],
              "context": {
                "encounter": [
                  {
                    "reference": "Encounter/example-encounter"
                  }
                ],
                "period": {
                  "start": "2015-02-07",
                  "end": "2015-02-07"
                }
              },
              "identifier": [
                {
                  "system": "urn:ietf:rfc:3986",
                  "value": "urn:oid:2.16.840.1.113883.19.5.99999.1"
                }
              ]
            },
            "search": {
              "mode": "match"
            }
          },
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/DocumentReference/example-progress-note",
            "resource": {
              "resourceType": "DocumentReference",
              "id": "example-progress-note",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-documentreference|7.0.0"
                ]
              },
              "date": "2015-02-07T13:28:17.239+02:00",
              "status": "current",
              "type": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "11506-3",
                    "display": "Progress Note"
                  }
                ],
                "text": "Progress Note"
              },
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://hl7.org/fhir/us/core/CodeSystem/us-core-documentreference-category",
                      "code": "clinical-note",
                      "display": "Clinical Note"
                    }
                  ],
                  "text": "Clinical No"
                }
              ],
              "author": [
                {
                  "reference": "Practitioner/practitioner-1"
                }
              ],
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2"
              },
              "content": [
                {
                  "attachment": {
                    "contentType": "text/plain",
                    "data": "Tm8gYWN0aXZpdHkgcmVzdHJpY3Rpb24sIHJlZ3VsYXIgZGlldCwgZm9sbG93IHVwIGluIHR3byB0byB0aHJlZSB3ZWVrcyB3aXRoIHByaW1hcnkgY2FyZSBwcm92aWRlci4="
                  },
                  "format": {
                    "system": "urn:oid:1.3.6.1.4.1.19376.1.2.3",
                    "code": "urn:ihe:iti:xds:2017:mimeTypeSufficient",
                    "display": "mimeType Sufficient"
                  }
                }
              ],
              "context": {
                "encounter": [
                  {
                    "reference": "Encounter/example-encounter"
                  }
                ],
                "period": {
                  "start": "2015-02-07",
                  "end": "2015-02-07"
                }
              },
              "identifier": [
                {
                  "system": "urn:ietf:rfc:3986",
                  "value": "urn:oid:2.16.840.1.113883.19.5.99999.1"
                }
              ]
            },
            "search": {
              "mode": "match"
            }
          },
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/DocumentReference/example-imaging-narrative",
            "resource": {
              "resourceType": "DocumentReference",
              "id": "example-imaging-narrative",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-documentreference|7.0.0"
                ]
              },
              "date": "2015-02-07T13:28:17.239+02:00",
              "status": "current",
              "type": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "18748-4",
                    "display": "Diagnostic imaging study"
                  }
                ],
                "text": "Diagnostic imaging study"
              },
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://hl7.org/fhir/us/core/CodeSystem/us-core-documentreference-category",
                      "code": "clinical-note",
                      "display": "Clinical Note"
                    }
                  ],
                  "text": "Clinical No"
                }
              ],
              "author": [
                {
                  "reference": "Practitioner/practitioner-1"
                }
              ],
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2"
              },
              "content": [
                {
                  "attachment": {
                    "contentType": "text/plain",
                    "data": "Tm8gYWN0aXZpdHkgcmVzdHJpY3Rpb24sIHJlZ3VsYXIgZGlldCwgZm9sbG93IHVwIGluIHR3byB0byB0aHJlZSB3ZWVrcyB3aXRoIHByaW1hcnkgY2FyZSBwcm92aWRlci4="
                  },
                  "format": {
                    "system": "urn:oid:1.3.6.1.4.1.19376.1.2.3",
                    "code": "urn:ihe:iti:xds:2017:mimeTypeSufficient",
                    "display": "mimeType Sufficient"
                  }
                }
              ],
              "context": {
                "encounter": [
                  {
                    "reference": "Encounter/example-encounter"
                  }
                ],
                "period": {
                  "start": "2015-02-07",
                  "end": "2015-02-07"
                }
              },
              "identifier": [
                {
                  "system": "urn:ietf:rfc:3986",
                  "value": "urn:oid:2.16.840.1.113883.19.5.99999.1"
                }
              ]
            },
            "search": {
              "mode": "match"
            }
          },
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/DocumentReference/example-laboratory-report-narrative",
            "resource": {
              "resourceType": "DocumentReference",
              "id": "example-laboratory-report-narrative",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-documentreference|7.0.0"
                ]
              },
              "date": "2015-02-07T13:28:17.239+02:00",
              "status": "current",
              "type": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "11502-2",
                    "display": "Laboratory report"
                  }
                ],
                "text": "Laboratory report"
              },
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://hl7.org/fhir/us/core/CodeSystem/us-core-documentreference-category",
                      "code": "clinical-note",
                      "display": "Clinical Note"
                    }
                  ],
                  "text": "Clinical No"
                }
              ],
              "author": [
                {
                  "reference": "Practitioner/practitioner-1"
                }
              ],
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2"
              },
              "content": [
                {
                  "attachment": {
                    "contentType": "text/plain",
                    "data": "Tm8gYWN0aXZpdHkgcmVzdHJpY3Rpb24sIHJlZ3VsYXIgZGlldCwgZm9sbG93IHVwIGluIHR3byB0byB0aHJlZSB3ZWVrcyB3aXRoIHByaW1hcnkgY2FyZSBwcm92aWRlci4="
                  },
                  "format": {
                    "system": "urn:oid:1.3.6.1.4.1.19376.1.2.3",
                    "code": "urn:ihe:iti:xds:2017:mimeTypeSufficient",
                    "display": "mimeType Sufficient"
                  }
                }
              ],
              "context": {
                "encounter": [
                  {
                    "reference": "Encounter/example-encounter"
                  }
                ],
                "period": {
                  "start": "2015-02-07",
                  "end": "2015-02-07"
                }
              },
              "identifier": [
                {
                  "system": "urn:ietf:rfc:3986",
                  "value": "urn:oid:2.16.840.1.113883.19.5.99999.1"
                }
              ]
            },
            "search": {
              "mode": "match"
            }
          },
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/DocumentReference/example-pathology-report-narrative",
            "resource": {
              "resourceType": "DocumentReference",
              "id": "example-pathology-report-narrative",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-documentreference|7.0.0"
                ]
              },
              "date": "2015-02-07T13:28:17.239+02:00",
              "status": "current",
              "type": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "11526-1",
                    "display": "Pathology study"
                  }
                ],
                "text": "Pathology study"
              },
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://hl7.org/fhir/us/core/CodeSystem/us-core-documentreference-category",
                      "code": "clinical-note",
                      "display": "Clinical Note"
                    }
                  ],
                  "text": "Clinical No"
                }
              ],
              "author": [
                {
                  "reference": "Practitioner/practitioner-1"
                }
              ],
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2"
              },
              "content": [
                {
                  "attachment": {
                    "contentType": "text/plain",
                    "data": "Tm8gYWN0aXZpdHkgcmVzdHJpY3Rpb24sIHJlZ3VsYXIgZGlldCwgZm9sbG93IHVwIGluIHR3byB0byB0aHJlZSB3ZWVrcyB3aXRoIHByaW1hcnkgY2FyZSBwcm92aWRlci4="
                  },
                  "format": {
                    "system": "urn:oid:1.3.6.1.4.1.19376.1.2.3",
                    "code": "urn:ihe:iti:xds:2017:mimeTypeSufficient",
                    "display": "mimeType Sufficient"
                  }
                }
              ],
              "context": {
                "encounter": [
                  {
                    "reference": "Encounter/example-encounter"
                  }
                ],
                "period": {
                  "start": "2015-02-07",
                  "end": "2015-02-07"
                }
              },
              "identifier": [
                {
                  "system": "urn:ietf:rfc:3986",
                  "value": "urn:oid:2.16.840.1.113883.19.5.99999.1"
                }
              ]
            },
            "search": {
              "mode": "match"
            }
          }
        ]
      }
    }